Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 504884 - virtual/liblash new ebuild, to let the user choose between ladish and lash
Summary: virtual/liblash new ebuild, to let the user choose between ladish and lash
Status: RESOLVED DUPLICATE of bug 442916
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Gentoo Linux bug wranglers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-17 12:08 UTC by gerion
Modified: 2014-03-17 20:38 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gerion 2014-03-17 12:08:27 UTC
There exists two compatible implementations for lash, the original lash and ladish. To let the user decide, what implemention he wants to use, the cleanest way in my opinion is a virtual/liblash like several overlays already provide.

I am willing to maintain this ebuild.

See also https://bugs.gentoo.org/show_bug.cgi?id=442916#c6
Quote:
Would love this ebuild, too. ladi and proaudio overlay defines a virtual/liblash, so the user could choose his favorite implementation. Both overlays workaround the hardcoded lash dependencies in the official tree.

At least it would be useful to create a virtual/liblash, that link to media-sound/lash, so the workarounds are not necessary.

I just looked at the last commits. The last ladish commit was 6 month ago, the last lash commit was 2009.

Reproducible: Always
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2014-03-17 13:33:50 UTC

*** This bug has been marked as a duplicate of bug 442916 ***